LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 03-27-2009, 08:58 AM   #1
sachin gholap
LQ Newbie
 
Registered: Feb 2009
Location: Mumbai(India)
Distribution: CentOS
Posts: 2

Rep: Reputation: 0
Ffmpeg installation library conflict error


I am trying to install ffmpeg using yum install ffmpeg ffmpeg-devel*
but it gives me library conflict error.
I have RHEL5. I try same on CentOS5 it work on that.
I rename that library.Now in my /usr/lib i have
lrwxrwxrwx 1 root root 20 Mar 26 15:57 liba52 -> liba52_0.0.7.0.1.el5
lrwxrwxrwx 1 root root 15 Mar 27 17:47 liba52.so -> liba52.so.0.0.0
lrwxrwxrwx 1 root root 18 Mar 27 15:43 liba52_0.0.7.1.el5.rf -> /usr/lib/liba52dec


Transaction Check Error: file /usr/lib/liba52.so.0.0.0 from install of a52dec-0.7.4-8.el5.rf conflicts with file from package liba52_0-0.7.4-7.0.1.el5

What should i do?
Reply
Regards
Sachin
 
Old 03-29-2009, 02:22 AM   #2
Simon Bridge
LQ Guru
 
Registered: Oct 2003
Location: Waiheke NZ
Distribution: Ubuntu
Posts: 9,211

Rep: Reputation: 198Reputation: 198
Quote:
Originally Posted by sachin gholap View Post
I am trying to install ffmpeg using yum install ffmpeg ffmpeg-devel*
but it gives me library conflict error.
I have RHEL5. I try same on CentOS5 it work on that.
I rename that library.Now in my /usr/lib i have
lrwxrwxrwx 1 root root 20 Mar 26 15:57 liba52 -> liba52_0.0.7.0.1.el5
lrwxrwxrwx 1 root root 15 Mar 27 17:47 liba52.so -> liba52.so.0.0.0
lrwxrwxrwx 1 root root 18 Mar 27 15:43 liba52_0.0.7.1.el5.rf -> /usr/lib/liba52dec


Transaction Check Error: file /usr/lib/liba52.so.0.0.0 from install of a52dec-0.7.4-8.el5.rf conflicts with file from package liba52_0-0.7.4-7.0.1.el5

What should i do?
Reply
Regards
Sachin
Re-rename the library so it is back to what it was, then report the original error.

Probably you will need to remove the library package, and let yum install the appropriate one from the repos you have configured.

You realize that RHEL is not designed to be supported via yum? Technically, if you want free support you should use a free OS. What are you using for repos?
 
Old 04-06-2009, 07:33 AM   #3
sachin gholap
LQ Newbie
 
Registered: Feb 2009
Location: Mumbai(India)
Distribution: CentOS
Posts: 2

Original Poster
Rep: Reputation: 0
Thanks
FFMPEG is now working by removing liba52 rpm .
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
MPlayer install problem (Suse 10)- library conflict fjd Linux - General 11 09-18-2006 11:31 PM
ffmpeg installation !! Ashdown Linux - Software 3 11-14-2005 10:38 AM
FFMPEG installation !!! Ashdown Linux - Newbie 2 11-13-2005 06:46 PM
Error: Unable to resolve GL/GLX symbols - please check your GL library installation. Dquest Linux - General 8 11-02-2005 06:31 AM
Library Conflict Resolution toadatrix Linux - Software 1 04-07-2004 10:50 AM


All times are GMT -5. The time now is 10:26 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration